org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmImpl

- All Implemented Interfaces:
    Edm, ClientEdm

      public class EdmImpl
      extends Object
      implements ClientEdm

  Objects of this class represent Edm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<FullQualifiedName,EdmEntityContainer>` | `edmEntityContainers`
    `protected Map<FullQualifiedName,EdmEntityType>` | `edmEntityTypes`

    - ### Fields inherited from interface org.apache.olingo.odata2.api.edm.Edm

      `DELIMITER, LINK_REL_EDIT, LINK_REL_EDIT_MEDIA, LINK_REL_NEXT, LINK_REL_SELF, NAMESPACE_APP_2007, NAMESPACE_ATOM_2005, NAMESPACE_D_2007_08, NAMESPACE_EDM_2006_04, NAMESPACE_EDM_2007_05, NAMESPACE_EDM_2008_01, NAMESPACE_EDM_2008_09, NAMESPACE_EDMX_2007_06, NAMESPACE_M_2007_08, NAMESPACE_REL_2007_08, NAMESPACE_REL_ASSOC_2007_08, NAMESPACE_SCHEME_2007_08, NAMESPACE_XML_1998, PREFIX_APP, PREFIX_ATOM, PREFIX_D, PREFIX_EDM, PREFIX_EDMX, PREFIX_M, PREFIX_XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAliasToNamespaceInfo()`
    `EdmAssociation` | `getAssociation(String namespaceOrAlias, String name)` Get association by full qualified name See `EdmAssociation` for more information.
    `EdmComplexType` | `getComplexType(String namespaceOrAlias, String name)` Get complex type by full qualified name See `EdmComplexType` for more information.
    `EdmEntityContainer` | `getDefaultEntityContainer()` Get default entity container See `EdmEntityContainer` for more information.
    `Map<FullQualifiedName,EdmAssociation>` | `getEdmAssociations()`
    `Map<FullQualifiedName,EdmComplexType>` | `getEdmComplexTypes()`
    `Map<FullQualifiedName,EdmEntityContainer>` | `getEdmEntityContainers()`
    `List<EdmEntitySet>` | `getEdmEntitySets()`
    `Map<FullQualifiedName,EdmEntityType>` | `getEdmEntityTypes()`
    `List<EdmFunctionImport>` | `getEdmFunctionImports()`
    `EdmEntityContainer` | `getEntityContainer(String name)` Get entity container by name See `EdmEntityContainer` for more information.
    `List<EdmEntitySet>` | `getEntitySets()` Get all contained EntitySets
    `EdmEntityType` | `getEntityType(String namespaceOrAlias, String name)` Get entity type by full qualified name See `EdmEntityType` for more information.
    `List<EdmFunctionImport>` | `getFunctionImports()` Get all contained FunctionImports
    `List<EdmSchema>` | `getSchemas()` This method DOES NOT support lazy loading.
    `EdmServiceMetadata` | `getServiceMetadata()` Get service metadata See `EdmServiceMetadata` for more information.
    `EdmImpl` | `setAliasToNamespaceInfo(Map<String,String> aliasToNamespaceInfo)`
    `EdmImpl` | `setDefaultEntityContainer(EdmEntityContainer defaultEdmEntityContainer)`
    `EdmImpl` | `setEdmAssociations(Map<FullQualifiedName,EdmAssociation> edmAssociations)`
    `EdmImpl` | `setEdmComplexTypes(Map<FullQualifiedName,EdmComplexType> edmComplexTypes)`
    `EdmImpl` | `setEdmEntityContainers(Map<FullQualifiedName,EdmEntityContainer> edmEntityContainers)`
    `EdmImpl` | `setEdmEntitySets(List<EdmEntitySet> edmEntitySets)`
    `EdmImpl` | `setEdmEntityTypes(Map<FullQualifiedName,EdmEntityType> edmEntityTypes)`
    `EdmImpl` | `setEdmFunctionImports(List<EdmFunctionImport> edmFunctionImports)`
    `EdmImpl` | `setEdmSchemas(List<EdmSchema> edmSchema)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### edmEntityContainers

          protected Map<FullQualifiedName,EdmEntityContainer> edmEntityContainers

    - #### edmEntityTypes

          protected Map<FullQualifiedName,EdmEntityType> edmEntityTypes

  - ### Constructor Detail

    - #### EdmImpl

          public EdmImpl()

  - ### Method Detail

    - #### getEntityContainer

          public EdmEntityContainer getEntityContainer(String name)
                                                throws EdmException

      Description copied from interface: `Edm`
      Get entity container by name

      See `EdmEntityContainer` for more information.

      Specified by:
        `getEntityContainer` in interface `Edm`
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

    - #### setEdmSchemas

          public EdmImpl setEdmSchemas(List<EdmSchema> edmSchema)

    - #### getEntityType

          public EdmEntityType getEntityType(String namespaceOrAlias,
                                             String name)
                                      throws EdmException

      Description copied from interface: `Edm`
      Get entity type by full qualified name

      See `EdmEntityType` for more information.

      Specified by:
        `getEntityType` in interface `Edm`
      Returns:
        `EdmEntityType`
      Throws:
        `EdmException`

    - #### getComplexType

          public EdmComplexType getComplexType(String namespaceOrAlias,
                                               String name)
                                        throws EdmException

      Description copied from interface: `Edm`
      Get complex type by full qualified name

      See `EdmComplexType` for more information.

      Specified by:
        `getComplexType` in interface `Edm`
      Returns:
        `EdmComplexType`
      Throws:
        `EdmException`

    - #### getAssociation

          public EdmAssociation getAssociation(String namespaceOrAlias,
                                               String name)
                                        throws EdmException

      Description copied from interface: `Edm`
      Get association by full qualified name

      See `EdmAssociation` for more information.

      Specified by:
        `getAssociation` in interface `Edm`
      Returns:
        `EdmAssociation`
      Throws:
        `EdmException`

    - #### setDefaultEntityContainer

          public EdmImpl setDefaultEntityContainer(EdmEntityContainer defaultEdmEntityContainer)
                                            throws EdmException

      Throws:
        `EdmException`

    - #### getDefaultEntityContainer

          public EdmEntityContainer getDefaultEntityContainer()
                                                       throws EdmException

      Description copied from interface: `Edm`
      Get default entity container

      See `EdmEntityContainer` for more information.

      Specified by:
        `getDefaultEntityContainer` in interface `Edm`
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

    - #### getEntitySets

          public List<EdmEntitySet> getEntitySets()
                                           throws EdmException

      Description copied from interface: `Edm`
      Get all contained EntitySets
      Specified by:
        `getEntitySets` in interface `Edm`
      Returns:
        a list of `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getFunctionImports

          public List<EdmFunctionImport> getFunctionImports()
                                                     throws EdmException

      Description copied from interface: `Edm`
      Get all contained FunctionImports
      Specified by:
        `getFunctionImports` in interface `Edm`
      Returns:
        a list of `EdmFunctionImport`
      Throws:
        `EdmException`

    - #### getServiceMetadata

          public EdmServiceMetadata getServiceMetadata()

      Description copied from interface: `Edm`
      Get service metadata

      See `EdmServiceMetadata` for more information.

      Specified by:
        `getServiceMetadata` in interface `Edm`
      Returns:
        `EdmServiceMetadata`

    - #### getEdmEntityContainers

          public Map<FullQualifiedName,EdmEntityContainer> getEdmEntityContainers()

    - #### setEdmEntityContainers

          public EdmImpl setEdmEntityContainers(Map<FullQualifiedName,EdmEntityContainer> edmEntityContainers)

    - #### getEdmEntityTypes

          public Map<FullQualifiedName,EdmEntityType> getEdmEntityTypes()

    - #### setEdmEntityTypes

          public EdmImpl setEdmEntityTypes(Map<FullQualifiedName,EdmEntityType> edmEntityTypes)

    - #### getEdmComplexTypes

          public Map<FullQualifiedName,EdmComplexType> getEdmComplexTypes()

    - #### setEdmComplexTypes

          public EdmImpl setEdmComplexTypes(Map<FullQualifiedName,EdmComplexType> edmComplexTypes)

    - #### getEdmAssociations

          public Map<FullQualifiedName,EdmAssociation> getEdmAssociations()

    - #### setEdmAssociations

          public EdmImpl setEdmAssociations(Map<FullQualifiedName,EdmAssociation> edmAssociations)

    - #### getAliasToNamespaceInfo

          public Map<String,String> getAliasToNamespaceInfo()

    - #### setAliasToNamespaceInfo

          public EdmImpl setAliasToNamespaceInfo(Map<String,String> aliasToNamespaceInfo)

    - #### getEdmEntitySets

          public List<EdmEntitySet> getEdmEntitySets()

    - #### setEdmEntitySets

          public EdmImpl setEdmEntitySets(List<EdmEntitySet> edmEntitySets)

    - #### getEdmFunctionImports

          public List<EdmFunctionImport> getEdmFunctionImports()

    - #### setEdmFunctionImports

          public EdmImpl setEdmFunctionImports(List<EdmFunctionImport> edmFunctionImports)

    - #### getSchemas

          public List<EdmSchema> getSchemas()

      Description copied from interface: `ClientEdm`
      This method DOES NOT support lazy loading. All schemas are loaded completely!
      Specified by:
        `getSchemas` in interface `ClientEdm`
      Returns:
        all schemas defined for this EDM

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.